/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package vista;

import javax.swing.JOptionPane;

/**
 *
 * @author diurno2020
 */
public class VentanaDos extends javax.swing.JFrame {

    /**
     * Creates new form VentanaDos
     */
    public VentanaDos() {
        initComponents();
    }

    /**
     * This method is called from within the constructor to initialize the form.
     * WARNING: Do NOT modify this code. The content of this method is always
     * regenerated by the Form Editor.
     */
    @SuppressWarnings("unchecked")
    // <editor-fold defaultstate="collapsed" desc="Generated Code">//GEN-BEGIN:initComponents
    private void initComponents() {

        jbtnHola = new javax.swing.JButton();
        jtfHola = new javax.swing.JTextField();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        jbtnHola.setText("Hola");
        jbtnHola.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                jbtnHolaActionPerformed(evt);
            }
        });

        jtfHola.addFocusListener(new java.awt.event.FocusAdapter() {
            public void focusGained(java.awt.event.FocusEvent evt) {
                jtfHolaFocusGained(evt);
            }
            public void focusLost(java.awt.event.FocusEvent evt) {
                jtfHolaFocusLost(evt);
            }
        });

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createSequentialGroup()
                        .addContainerGap()
                        .addComponent(jbtnHola))
                    .addGroup(layout.createSequentialGroup()
                        .addGap(102, 102, 102)
                        .addComponent(jtfHola, javax.swing.GroupLayout.PREFERRED_SIZE, 172, javax.swing.GroupLayout.PREFERRED_SIZE)))
                .addContainerGap(126, Short.MAX_VALUE))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(jbtnHola)
                .addGap(67, 67, 67)
                .addComponent(jtfHola, javax.swing.GroupLayout.PREFERRED_SIZE, 43, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addContainerGap(156, Short.MAX_VALUE))
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void jbtnHolaActionPerformed(java.awt.event.ActionEvent evt) {//GEN-FIRST:event_jbtnHolaActionPerformed
       JOptionPane.showMessageDialog(this, "Hola Mundo");
    }//GEN-LAST:event_jbtnHolaActionPerformed

    private void jtfHolaFocusGained(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_jtfHolaFocusGained
        jtfHola.setText("Hola Mundo");
    }//GEN-LAST:event_jtfHolaFocusGained

    private void jtfHolaFocusLost(java.awt.event.FocusEvent evt) {//GEN-FIRST:event_jtfHolaFocusLost
        // TODO add your handling code here:
    }//GEN-LAST:event_jtfHolaFocusLost

    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton jbtnHola;
    private javax.swing.JTextField jtfHola;
    // End of variables declaration//GEN-END:variables
}
